## pyplaato 0.0.19

=== requirements.txt ===
aiohttp~=3.9.5
python-dateutil==2.8.1

=== debian/changelog ===
pyplaato (0.0.19-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 17 Nov 2024 14:59:33 +0100

pyplaato (0.0.18-1) unstable; urgency=medium

  * Initial release. (Closes: #1087573)

 -- Edward Betts <edward@4angle.com>  Fri, 15 Nov 2024 14:45:59 +0100

=== debian/control ===
Source: pyplaato
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-dateutil <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/JohNan/pyplaato
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyplaato
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyplaato.git

Package: python3-pyplaato
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Asynchronous client for fetching Plaato Airlock and Keg sensor data
 This library provides an interface to fetch data from Plaato Airlock and Keg
 devices using their official API. Specifically designed for beer brewers, it
 retrieves information such as the level of beer inside the keg, pouring
 status, and temperature for the Keg. For the Airlock, it accesses metrics like
 bubble count, CO2 volume, and several fermentation parameters. The library
 communicates with Plaato sensors over the internet, requiring an
 authentication token for data access. This enables monitoring of fermentation
 and storage conditions from connected Plaato devices, offering a wealth of
 vital data for those tracking their brewing progress via connected sensors.
 Note that this is an independent implementation and is not associated with or
 supported by Plaato itself.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyplaato
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyplaato.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-aiohttp,
 python3-dateutil,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyplaato-$1\.tar\.gz/ \
  https://github.com/JohNan/pyplaato/tags .*/v?(\d\S+)\.tar\.gz
